<bugID>1401542<Summary>Storage Inspector state retains deleted Cookies and Indexed DB databases</Summary><Description>STR:
- Create fresh profile
- Go to http://cr.23bit.net/idb.html
- Reload a few times to accumulate visit timestamps in Indexed DB
- Open Storage Inspector (Shift-F9)
- Select website under Cookies and click "+" (below "Debugger") to add a few random cookies
- Select website under Local Storage and click "+" to add some random data
- Select website under Session Storage and click "+" to add some random data
- Go to about:preferences#privacy and click `Site Data / Clear All Data`, then `Clear Now`
- Go back to Storage Inspector and re-open (or use refresh button) to update its view

Expected result:
- Data under Cookies is deleted
- Databases under Indexed DB are deleted
- Data under Local Storage is deleted
- Data under Session Storage is deleted

Actual result:
- Data under Cookies persists
- Database structure under Indexed DB persist, just all the rows are dropped.
- Data under Local Storage is deleted
- Data under Session Storage is deleted


This allow Websites to track users through persisting cookies, and also to use Indexed DB database names as a form of persistent super cookie, potentially circumventing cookie policies.</Description></bugID>